8086:10f5 Can't connect to the network through a wired connection - Network dialog shows "Wired Cable unplugged"

Bug #1070182 reported by linuxrrules on 2012-10-23
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Chris J Arges
Lucid
Medium
Unassigned
Precise
Medium
Chris J Arges
Quantal
Medium
Chris J Arges
Raring
Medium
Chris J Arges

Bug Description

Wireless (Wifi and WiMax) work fine.
The computer is a Dell Latitude E6500.

Data:
1) The BIOS is up to date on this machine - I didn't have to do anything special.
2) Running Ubuntu desktop 12.10, 64 bit. (12.04, 64 bit also had this issue before the machine was upgraded).
3) Additional information:

> sudo lshw -C net
*-network UNCLAIMED
description: Ethernet controller
product: 82567LM Gigabit Network Connection
vendor: Intel Corporation
physical id: 19
bus info: pci@0000:00:19.0
version: 03
width: 32 bits
clock: 33MHz
capabilities: pm msi cap_list
configuration: latency=0
resources: memory:f6fe0000-f6ffffff memory:f6fdb000-f6fdbfff ioport:efe0(size=32)
*-network
description: Wireless interface
product: Centrino Advanced-N + WiMAX 6250
vendor: Intel Corporation
physical id: 0
bus info: pci@0000:0b:00.0
logical name: wlan1
version: 2c
serial: 00:15:00:5f:ac:96
width: 64 bits
clock: 33MHz
capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
configuration: broadcast=yes driver=iwlwifi driverversion=3.2.0-31-generic firmware=41.28.5.1 build 33926 ip=10.0.0.3 latency=0 link=yes multicast=yes wireless=IEEE 802.11abg
resources: irq:46 memory:f1ffe000-f1ffffff
*-network
description: Wireless interface
product: BCM4312 802.11b/g LP-PHY
vendor: Broadcom Corporation
physical id: 0
bus info: pci@0000:0c:00.0
logical name: eth1
version: 01
serial: 00:25:56:a1:2f:86
width: 64 bits
clock: 33MHz
capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
configuration: broadcast=yes driver=wl0 driverversion=5.100.82.38 ip=10.0.0.2 latency=0 multicast=yes wireless=IEEE 802.11bg
resources: irq:17 memory:f1efc000-f1efffff
*-network
description: Ethernet interface
physical id: 2
bus info: usb@2:6
logical name: wmx0
serial: 00:1d:e1:0e:69:58
capabilities: ethernet physical
configuration: driver=i2400m firmware=i6050-fw-usb-1.5.sbcf link=no

> dmesg | grep -e e100 -e eth0
[ 0.000000] BIOS-e820: 00000000fee00000 - 00000000fee10000 (reserved)
[ 0.000000] PM: Registered nosave memory: 00000000fee00000 - 00000000fee10000
[ 0.000000] PM: Registered nosave memory: 00000000fee10000 - 00000000ffe60000
[ 0.335609] pci_root PNP0A03:00: host bridge window [mem 0xfee10000-0xff9fffff]
[ 0.345723] pci 0000:00:1e.0: bridge window [mem 0xfee10000-0xff9fffff] (subtractive decode)
[ 0.386363] pnp 00:00: [mem 0xfee10000-0xff9fffff window]
[ 0.452218] pci_bus 0000:00: resource 15 [mem 0xfee10000-0xff9fffff]
[ 0.452317] pci_bus 0000:03: resource 15 [mem 0xfee10000-0xff9fffff]
[ 2.682139] e1000e: Intel(R) PRO/1000 Network Driver - 1.5.1-k
[ 2.682142] e1000e: Copyright(c) 1999 - 2011 Intel Corporation.
[ 2.682178] e1000e 0000:00:19.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[ 2.682190] e1000e 0000:00:19.0: setting latency timer to 64
[ 2.682315] e1000e 0000:00:19.0: irq 46 for MSI/MSI-X
[ 2.821039] e1000e 0000:00:19.0: (unregistered net_device): The NVM Checksum Is Not Valid
[ 2.852127] e1000e 0000:00:19.0: PCI INT A disabled
[ 2.852134] e1000e: probe of 0000:00:19.0 failed with error -5
[ 10.756864] eth0: Broadcom BCM4315 802.11 Hybrid Wireless Controller 5.100.82.38
[ 10.946067] udevd[529]: renamed network interface eth0 to eth1

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: linux-image-3.5.0-17-generic 3.5.0-17.28
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
Uname: Linux 3.5.0-17-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.6.1-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: scott 2292 F.... pulseaudio
Date: Tue Oct 23 00:32:27 2012
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=d8cb922e-22b1-4e27-8721-9a6746742020
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MachineType: Dell Inc. Latitude E6500
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=8063bea0-9fdd-4f58-985b-2266ec260f5d ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-17-generic N/A
 linux-backports-modules-3.5.0-17-generic N/A
 linux-firmware 1.95
SourcePackage: linux
UpgradeStatus: Upgraded to quantal on 2012-10-19 (3 days ago)
dmi.bios.date: 12/06/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A27
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA27:bd12/06/2011:svnDellInc.:pnLatitudeE6500:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Latitude E6500
dmi.sys.vendor: Dell Inc.

linuxrrules (ubuntu-serv-user) wrote :
Brad Figg (brad-figg) on 2012-10-23
Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: precise
Joseph Salisbury (jsalisbury) wrote :

Dmesg:
[ 2.646098] e1000e 0000:00:19.0: >The NVM Checksum Is Not Valid
[ 2.677944] e1000e: probe of 0000:00:19.0 failed with error -5

Changed in linux (Ubuntu):
importance: Undecided → Medium
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.7 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. Please only remove that one tag and leave the other tags. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc2-raring/

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-da-key
linuxrrules (ubuntu-serv-user) wrote :

Thanks Joseph for your response.

I have a question first before I attempt this. Is it possible that this test could brick my laptop? This computer is used for business purposes and I can't afford for it to go down unless I can bring it back to life easily. If it does not boot after I follow the suggested steps, what steps would I perform to get it back up?

The other question I have is that I clicked on the yellow pencil, but I could not find the needs-upstream-testing tag. Is is supposed to be present now or do I have to perform the suggested steps for it to show up?

Thanks for your time.

Joseph Salisbury (jsalisbury) wrote :

There is no risk of bricking your system by testing newer kernels. You would generally brick your computer if you were changing some BIOS level code.

I must have forgotten to add the needs-upstream-testing tag, so no need to remove it.

Thanks again!

linuxrrules (ubuntu-serv-user) wrote :

Joseph,

So, not to be pessimistic but if the added suggestions don't fix my issue, should I restore the linux-image and linux-image-extra to what I currently have on my system now or is it just a matter of removing them?

Thanks.

Chris J Arges (arges) wrote :
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

@linuxrrules

I would suggest removing the v3.7-rc2 kernel after testing, even if it does resolve this bug. We just want to test it, to see if this bug is already fixed upstream.

Joseph Salisbury (jsalisbury) wrote :

@linuxrrules,

One additional question, did you ever have a release prior to 12.04 on this system? If so, did it also have this bug?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: needs-upstream-testing
Chris J Arges (arges) on 2012-10-24
description: updated
linuxrrules (ubuntu-serv-user) wrote :

Joseph,

Sorry for the delay. I will try the new kernel tomorrow and report my findings.

>> ever try prior to 12.04
No, 12.04 was the first and it also experienced this bug.

Thanks.

linuxrrules (ubuntu-serv-user) wrote :

Joseph,

I downloaded both the linux-image*.deb and linux-image-extra*.deb packages to my Downloads directory. When I double clicked on either one there was a sentence at the bottom of the description in Ubuntu Software Center stating:

"You likely do not want to install this package directly. Instead, install the linux-generic meta-package, which will ensure that upgrades work correctly, and that supporting packages are installed also installed."

Is it correct that in this case, I can just ignore the above (implicit warning) and install each of these two, one after the other?

Thanks.

Chris J Arges (arges) wrote :

@linuxrules:

You can click on each of these packages to install, or use the command line and type:

dpkg -i <name of packages>

To install the packages.

The warning is not a problem, but keep in mind this is just for testing, so please ensure that data is properly backed up on your computer.

linuxrrules (ubuntu-serv-user) wrote :
Download full text (8.2 KiB)

I tried to install all of the packages. Synaptic Package Manager shows that they are all installed. Unfortunately that didn't fix the issue. Still no wired network. It still shows that Wired Cable unplugged under the Network window. (Note: I am certain that the Ethernet cable that I am using is good because the same one plugged into another computer works fine).

Something to note though - I performed the install by typing in the dpkg for each package. I received an error three times (same error). It told me to check a log file. The contents of the log file are below the attempted install of the 4 packages. By the error, I can't tell whether the packages were all fully installed successfully. I think that they probably were because they only seem to affect VirtualBox.

I have 2 questions:
Were the 4 packages installed successfully?
Should I keep these 4 packages installed or should I uninstall them?

Thanks for your time.

============================
Attempted install of the 4 packages:
scott@scott:~/Downloads$ sudo dpkg -i "linux-headers-3.7.0-030700rc2_3.7.0-030700rc2.201210220428_all.deb"
Selecting previously unselected package linux-headers-3.7.0-030700rc2.
(Reading database ... 188233 files and directories currently installed.)
Unpacking linux-headers-3.7.0-030700rc2 (from linux-headers-3.7.0-030700rc2_3.7.0-030700rc2.201210220428_all.deb) ...
Setting up linux-headers-3.7.0-030700rc2 (3.7.0-030700rc2.201210220428) ...
scott@scott:~/Downloads$ sudo dpkg -i linux-headers-3.7.0-030700rc2-generic_3.7.0-030700rc2.201210220428_amd64.deb
(Reading database ... 203088 files and directories currently installed.)
Preparing to replace linux-headers-3.7.0-030700rc2-generic 3.7.0-030700rc2.201210220428 (using linux-headers-3.7.0-030700rc2-generic_3.7.0-030700rc2.201210220428_amd64.deb) ...
Unpacking replacement linux-headers-3.7.0-030700rc2-generic ...
Setting up linux-headers-3.7.0-030700rc2-generic (3.7.0-030700rc2.201210220428) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 3.7.0-030700rc2-generic /boot/vmlinuz-3.7.0-030700rc2-generic
ERROR (dkms apport): kernel package linux-headers-3.7.0-030700rc2-generic is not supported
Error! Bad return status for module build on kernel: 3.7.0-030700rc2-generic (x86_64)
Consult /var/lib/dkms/virtualbox/4.1.18/build/make.log for more information.
scott@scott:~/Downloads$ sudo dpkg -i linux-image-3.7.0-030700rc2-generic_3.7.0-030700rc2.201210220428_amd64.deb
Selecting previously unselected package linux-image-3.7.0-030700rc2-generic.
(Reading database ... 203088 files and directories currently installed.)
Unpacking linux-image-3.7.0-030700rc2-generic (from linux-image-3.7.0-030700rc2-generic_3.7.0-030700rc2.201210220428_amd64.deb) ...
Done.
Setting up linux-image-3.7.0-030700rc2-generic (3.7.0-030700rc2.201210220428) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.7.0-030700rc2-generic /boot/vmlinuz-3.7.0-030700rc2-generic
ERROR (dkms apport): kernel package linux-headers-3.7.0-030700rc2-generic is not supported
Error! Bad return...

Read more...

Mark Bidewell (mbidewel) wrote :

I am seeing this issue as well with an intel 82566DC-2 NIC. It was working fine until sometime post 12.04.1. 12.10 also exhibits this behavior. The RealTek Wireless I installed as a backup works fine. I built the latest Intel driver but it exhibited the same problems

Mark Bidewell, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may cause your problem to not be addressed as quickly as possible.

Thank you for your understanding.

summary: - Can't connect to the network through a wired connection - Network dialog
- shows "Wired Cable unplugged"
+ 8086:10f5 Can't connect to the network through a wired connection -
+ Network dialog shows "Wired Cable unplugged"

linuxrrules, thank you for your comments. Before installing the mainline kernel, you would want to uninstall virtualbox first, and then install the mainline kernel. If you do this, do you still get errors installing the mainline kernel?

linuxrrules (ubuntu-serv-user) wrote :

Thanks Christopher.

I uninstalled Virtual Box and reinstalled all 4 mainline kernel packages successfully (no warnings and no errors). I restarted my machine and sadly this didn't fix the issue. Still no wired network. I uninstalled the 4 mainline kernel packages. I added the tag: 'kernel-bug-exists-upstream' per Joseph's request.

tags: added: kernel-bug-exists-upstream

linuxrules, thank you for testing the mainline kernel and adding the requested tags. For regression testing purposes, could you please test for this problem in a Lucid live environment via http://releases.ubuntu.com/lucid/ ?

tags: added: kernel-bug-exists-upstream-v3.7-rc2-raring
removed: needs-upstream-testing
linuxrrules (ubuntu-serv-user) wrote :

Thanks Christopher. I just tried 10.04 with a Live CD and unfortunately this did not resolve the issue.

tags: added: kernel-bug-exists-upstream-v3.7-rc2 lucid
removed: kernel-bug-exists-upstream-v3.7-rc2-raring
tags: added: needs-upstream-testing

linuxrules, thank you for testing Lucid. Please answer the following questions:
1) Has the ethernet port ever worked for you in the past on Ubuntu?
2) Would it be possible for you to test this in Windows to rule out hardware failure or EEPROM/NVM corruption?

Thank you for your understanding.

linuxrrules (ubuntu-serv-user) wrote :

Thanks Christopher.

I purchased the laptop about 4 months or so ago. As a matter of practice any computer that I purchase used - I always test everything that it comes with before putting Ubuntu on it. It originally came with Windows Vista. The wired network worked fine with it and so did everything else. I initially replaced WIndows Vista with Ubuntu 12.04 and when 12.10 came out I upgraded. Unfortunately with Ubuntu the wired connection has never worked.

linuxrules, thank you for quickly responding to my inquiry. Could you please test http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc4-raring/ ?

linuxrrules (ubuntu-serv-user) wrote :

Thanks Christopher.

I just tried it. Unfortunately, it did not resolve the issue. It did however, make a noticeable difference when I booted up. With 3.5 (current) I have to boot up before I dock the laptop. Otherwise, I see an array of colors after I enter my username and password with it never being able to successfully log in (at least that I can tell because all I see is an array of colors). 3.7 eliminated this and it logged in cleanly while docked. I uninstalled 3.7, but I am very much looking forward to when 3.7 is mainstreamed.

tags: added: kernel-bug-exists-upstream-v3.7-rc4
removed: kernel-bug-exists-upstream-v3.7-rc2
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Chris J Arges (arges) wrote :

@linuxrules

Looks like this is an upstream issue. Please test the following kernel to help us better narrow down what is exactly causing the problem:
http://people.canonical.com/~arges/lp1070182/

This is an experimental kernel that bypasses the NVM Checksum code.

linuxrrules (ubuntu-serv-user) wrote :

Chris,

It looks like there are a total of 5 files in this directory. Just wondering if there is an error in the .ddeb file as it is large (697M).

Before I try it, should the one liner install attempt look like this?

dpkg -i
linux-headers-3.5.0-19-generic_3.5.0-19.30~lp1070182v201211141516_amd64.deb
linux-headers-3.5.0-19_3.5.0-19.30~lp1070182v201211141516_all.deb
linux-image-3.5.0-19-generic-dbgsym_3.5.0-19.30~lp1070182v201211141516_amd64.ddeb
linux-image-3.5.0-19-generic_3.5.0-19.30~lp1070182v201211141516_amd64.deb
linux-image-extra-3.5.0-19-generic_3.5.0-19.30~lp1070182v201211141516_amd64.deb

Thanks.

linuxrrules (ubuntu-serv-user) wrote :

Chris,

David from Canonical answered my question on which packages to install. I downloaded the *.deb into 1 directory and typed:

$ sudo dpkg -i *.deb

I restarted my machine and it was like magic. IT WORKED!! MY MACHINE NOW HAS FULL WIRED NETWORK ACCESS!!

I uninstalled this test kernel. When will this be merged into the mainline, so that I can get it through installing the normal updates?

Thank You!

Chris J Arges (arges) on 2012-11-29
Changed in linux (Ubuntu):
assignee: nobody → Chris J Arges (christopherarges)
Chris J Arges (arges) on 2012-11-30
Changed in linux (Ubuntu Lucid):
status: New → In Progress
Changed in linux (Ubuntu Raring):
status: Confirmed → In Progress
Changed in linux (Ubuntu Quantal):
status: New → In Progress
Changed in linux (Ubuntu Precise):
status: New → In Progress
Changed in linux (Ubuntu Lucid):
assignee: nobody → Chris J Arges (christopherarges)
importance: Undecided → Medium
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Changed in linux (Ubuntu Precise):
assignee: nobody → Chris J Arges (christopherarges)
Changed in linux (Ubuntu Quantal):
assignee: nobody → Chris J Arges (christopherarges)
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Chris J Arges (arges) wrote :

Here are some versions of the sauce patch, can you give one a test?
http://people.canonical.com/~arges/lp1070182/precise/
http://people.canonical.com/~arges/lp1070182/raring/

When booting it will not work right away, but if you type the following into a terminal it will bypass the checksum validation and should work after this:
sudo modprobe -r e1000e && sudo modprobe e1000e eeprom_bad_csum_allow=1

linuxrrules (ubuntu-serv-user) wrote :

Chris,

I am running Quantal (not Precise or Raring). Do you still want me to try one of these? Does testing it with a Live CD add value?

Thanks.

Chris J Arges (arges) wrote :

I can and will make a quantal version. : )
Also you should be able to install a raring kernel into quantal and test at least.

linuxrrules (ubuntu-serv-user) wrote :

Chris,

I tried to get to http://people.canonical.com/~arges/lp1070182/precise/
The website appears to be down. Can you reach it?

Thanks

Chris J Arges (arges) wrote :

@linuxrrules:
RE: people.canonical.com
Hopefully it will be back up shortly. I'd try again later.

I'd like you to install either one of those versions of the kernel (both if you have time) and use the command:
sudo modprobe -r e1000e && sudo modprobe e1000e eeprom_bad_csum_allow=1

The networking should work after this.

linuxrrules (ubuntu-serv-user) wrote :

Chris,

The server came back up. I downloaded and installed the /precise/ ones. When I typed the command in, I received the following:

FATAL: Error inserting e1000e (/lib/modules/3.5.0-19-generic/kernel/drivers/net/ethernet/intel/e1000e/e1000e.ko): Invalid argument

Thanks

Chris J Arges (arges) wrote :

So you didn't boot into the precise kernel.

When your server boots up, you'll need to enter grub (press shift),
and select "Advanced options for Ubuntu", then select the kernel that says:
"Ubuntu, with Linux 3.2.0-34-generic"

You can verify this worked correctly after boot by typing : "uname -r" and observing the kernel version.

After you've verified this then test.

linuxrrules (ubuntu-serv-user) wrote :

Thanks for the explanation above Chris. The test worked!

Chris J Arges (arges) wrote :

@linuxrrules:
Great! Thanks for your testing. I'll work on getting these applied.

Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.7.0-7.15

---------------
linux (3.7.0-7.15) raring; urgency=low

  [ Chris J Arges ]

  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182

  [ Leann Ogasawara ]

  * Add ceph to linux-image for virtual instances
    - LP: #1063784

  [ Serge Hallyn ]

  * SAUCE: net: dev_change_net_namespace: send a KOBJ_REMOVED/KOBJ_ADD

  [ Tim Gardner ]

  * [Config] CONFIG_SLUB_DEBUG=y
    - LP: #1090308

  [ Upstream Kernel Changes ]

  * Revert "[SCSI] sd: Implement support for WRITE SAME"
    - LP: #1089818
 -- Leann Ogasawara <email address hidden> Wed, 12 Dec 2012 06:50:20 -0800

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Quantal in -proposed solves the problem (3.5.0-22.33). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-quantal' to 'verification-done-quantal'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem (3.2.0-36.56). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
linuxrrules (ubuntu-serv-user) wrote :

Thanks Luis. I have a question though. I am not using Precise. I am using Quantal. Wouldn't it make more sense to test in the version that I am using?

Chris J Arges (arges) wrote :

@linuxrrules:
We try to make these fixes work in multiple series in case somebody is using an older version and has the same issue.
If you can verify in Quantal that would be very helpful.
Thanks

Luis Henriques (henrix) wrote :

linuxrrules: were you able to test this kernel on Quantal? Please provide us some feedback on any testing you're able to do.

linuxrrules (ubuntu-serv-user) wrote :

Thank you Chris and Luis for making this available for testing, I will try the fix and report back within 24 hours.

linuxrrules (ubuntu-serv-user) wrote :

Chris and Luis,

I spent time trying to test this. The only way that I could even attempt to test this on Precise is via Live CD since I don't have it installed. When I attempted to do this it failed. Please see the attached file. FYI - I have just recently gotten really busy - like working 70-80 hours per week and it is high stress. Unfortunately I won't have a chance to spend this kind of time on attempting to test it out again until this Saturday. If there is something that is less time consuming that I can try, I might be able to attempt it before Saturday - but there is no guarantee. Sorry that the attempt didn't yield the desired results.

Again - thank you for your time and effort. I am really anxious to get this fix so this issue can be brought to closure.

linuxrrules (ubuntu-serv-user) wrote :

I've been informed by David at Canonical that this testing cannot be done on a 12.04 Live CD and that it has to be done on an installed box and that is why I received the above errors. This is problematic for me because I don't have another spare box sitting around that I can install 12.04 on. I also can't spare any of the drive on my existing machine to enable a dual boot possibility with 12.04. This issue was opened on 12.10 nearly 3 months ago and I am not concerned with whether it runs successfully on 12.04. I only really care that it works on 12.10 which is what the original ticket was opened on.

Is there any real harm with releasing it? It will probably work because you guys are really good. And if it doesn't, it certainly can't make the wired network on this machine any worse because it already doesn't work.

Please advise. Thank You.

Luis Henriques (henrix) wrote :

linuxrrules, you're correct: the fix can not be tested using a live CD. However, from your comments, it looks like you have successfully test this kernel on 12.10. Is this correct? Thanks.

linuxrrules (ubuntu-serv-user) wrote :

That is correct Luis.

Luis Henriques (henrix) wrote :

Great, so I'm tagging this bug as verified both for Quantal and Precise, as the risks of regression are really low and we have it successfully verified for Quantal. Thanks a lot for testing.

tags: added: verification-done-precise verification-done-quantal
removed: verification-needed-precise verification-needed-quantal
linuxrrules (ubuntu-serv-user) wrote :

Thank You Luis. I am really looking forward to getting this fix!

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (10.1 KiB)

This bug was fixed in the package linux - 3.2.0-36.57

---------------
linux (3.2.0-36.57) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1097389

  [ Chris J Arges ]

  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137

  [ Upstream Kernel Changes ]

  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

linux (3.2.0-36.56) precise-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1095351

  [ Chris J Arges ]

  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182

  [ Colin Ian King ]

  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: usb: cdc-wdm: fix regression on buffer deallocation
    - LP: #1074157

  [ Kees Cook ]

  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530

  [ Leann Ogasawara ]

  * Add ceph to virtual kernel flavor
    - LP: #1063784

  [ Lino Sanfilippo ]

  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SAUCE: fsnotify: dont put marks on temporary list when ...

Changed in linux (Ubuntu Precise):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.3 KiB)

This bug was fixed in the package linux - 3.5.0-22.34

---------------
linux (3.5.0-22.34) quantal-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1097343

  [ Chris J Arges ]

  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137

  [ Upstream Kernel Changes ]

  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

linux (3.5.0-22.33) quantal-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1095349

  [ Chris J Arges ]

  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182

  [ Colin Ian King ]

  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557

  [ Kees Cook ]

  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530

  [ Leann Ogasawara ]

  * Add ceph to linux-image for virtual instances
    - LP: #1063784

  [ Lino Sanfilippo ]

  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SAUCE: fsnotify: dont put marks on temporary list when clearing marks
    by group
    - LP: #922906

  [ Tomas Hozza ]

  * SAUCE: tools: hv: Netlink source a...

Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Released
Chris J Arges (arges) on 2014-06-26
Changed in linux (Ubuntu Lucid):
assignee: Chris J Arges (arges) → nobody
status: In Progress → New
Rolf Leggewie (r0lf) wrote :

lucid has seen the end of its life and is no longer receiving any updates. Marking the lucid task for this ticket as "Won't Fix".

Changed in linux (Ubuntu Lucid):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers